package com.eactive.eai.batch.job.jobItem.fiusc;

public enum SEND_FIUSC_HEAD {

	DOC_CODE		("문서종류코드",		"AN",0,6,6),
	MSG_GBN_CD		("보고메시지유형코드",	"NN",6,8,2),
	DOC_NO			("문서번호",			"AN",8,25,17),
	DOC_DATETIME	("문서일자",			"NN",25,33,8),
	PRE_DOC_NO		("종전문서번호",		"AN",33,50,17),
	TGRA_SEQ		("거래순번",			"AN",50,65,15),
	DEF_DOC_NO		("기본보고문서번호",	"AN",65,82,17),
	HASH_SIZE		("전자서명데이터길이",	"NN",82,86,4),
	USER_ID			("사용자ID",			"AN",86,106,4);
	
	private String name;
	private String type;
	private int strPos;
	private int endPos;
	private int length;

	private SEND_FIUSC_HEAD(String name, String type, int strPos, int endPos, int length) {
		this.name = name;
		this.type = type;
		this.strPos = strPos;
		this.endPos = endPos;
		this.length = length;
	}
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public int getStrPos() {
		return strPos;
	}
	public void setStrPos(int strPos) {
		this.strPos = strPos;
	}
	public int getEndPos() {
		return endPos;
	}
	public void setEndPos(int endPos) {
		this.endPos = endPos;
	}
	public int getLength() {
		return length;
	}
	public void setLength(int length) {
		this.length = length;
	}
	
}
